sccs-istext(1)

NAME
sccs-istext - check whether files are text files or need to be encoded

SYNOPSIS
sccs istext [options] [file1 .. filen]

DESCRIPTION
The sccs istext subcommand checks whether the files are pure text files or whether they need to be encoded.

This subcommand is a SCHILY extension that does not exist in historic sccs implementations.

OPTIONS

-D  Print the current default history file format. This is the history file format assumed in case that neither -V4 nor -V6 have been specified. No file argument is permitted when this option has been specified.

-s  Be silent. If all files are pure text, the exit code is 0.

-V4 Check with SCCS v4 rules. A file is not pure text if it contains one or more null characters, if a line starts with \001 (^A) or if the file does not end with a newline character.

-V6 Check with SCCS v6 rules. A file is not pure text if it contains one or more null characters.

EXAMPLES

To check whether the file xec.c in the current directory is a pure text file, call:

    sccs istext xec.c

ENVIRONMENT VARIABLES

See environ(5) for descriptions of the following environment variables that affect the execution of sccs-istext(1): LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, and NLSPATH.

SCCS_NO_HELP
    If set, sccs istext will not automatically call help(1) with the SCCS error code in order to print a more helpful error message. Scripts that depend on the exact error messages of SCCS commands should set the environment variable SCCS_NO_HELP and set LC_ALL=C.

FILES

ATTRIBUTES

See attributes(5) for descriptions of the following attributes:

SEE ALSO

sccs(1), sccs-add(1), sccs-admin(1), sccs-branch(1), sccs-cdc(1), sccs-check(1), sccs-clean(1), sccs-comb(1), sccs-commit(1), sccs-create(1), sccs-cvt(1), sccs-deledit(1), sccs-delget(1), sccs-delta(1), sccs-diffs(1), sccs-edit(1), sccs-editor(1), sccs-enter(1), sccs-fix(1), sccs-get(1), sccs-help(1), sccs-histfile(1), sccs-info(1), sccs-init(1), sccs-istext(1), sccs-ldiffs(1), sccs-log(1), sccs-print(1), sccs-prs(1), sccs-prt(1), sccs-rcs2sccs(1), sccs-remove(1), sccs-rename(1), sccs-rmdel(1), sccs-root(1), sccs-sact(1), sccs-sccsdiff(1), sccs-status(1), sccs-tell(1), sccs-unedit(1), sccs-unget(1), sccs-val(1), what(1), sccschangeset(4), sccsfile(4).

BUGS

None currently known.

Mail bugs and suggestions to schilytools@mlists.in-berlin.de or open a ticket at https://codeberg.org/schilytools/schilytools/issues.

The mailing list archive may be found at:

https://mlists.in-berlin.de/mailman/listinfo/schilytools-mlists.in-berlin.de.

AUTHOR
sccs istext was originally written by Joerg Schilling in 2011 and is now maintained by the schilytools project authors.

SOURCE DOWNLOAD
The source code for sccs is included in the schilytools project and may be retrieved from the schilytools project at Codeberg at

https://codeberg.org/schilytools/schilytools.

The download directory is

https://codeberg.org/schilytools/schilytools/releases.